Package com.collibra.dgc.core.api.dto.meta.relationtype

# Class ChangeRelationTypeRequest.Builder

Object
Builder

Enclosing class:
  `ChangeRelationTypeRequest`

public static final class ChangeRelationTypeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeRelationTypeRequest`
  `build()`
  `ChangeRelationTypeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeRelationTypeRequest.Builder`
  `coRole(String coRole)`
  The new name of the role that the target plays.
  `ChangeRelationTypeRequest.Builder`
  `description(String description)`
  The new description of the Relation Type.
  `ChangeRelationTypeRequest.Builder`
  `id(UUID id)`
  Required. The ID of the Relation Type to be changed.
  `ChangeRelationTypeRequest.Builder`
  `publicId(String publicId)`
  The new public id for the Relation Type.
  `ChangeRelationTypeRequest.Builder`
  `role(String role)`
  The new name of the role that the source plays.
  `ChangeRelationTypeRequest.Builder`
  `sourceTypeId(UUID sourceTypeId)`
  Deprecated.
  The new source type ID will be removed in the future.
  `ChangeRelationTypeRequest.Builder`
  `targetTypeId(UUID targetTypeId)`
  Deprecated.
  The new target type ID will be removed in the future.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ChangeRelationTypeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeRelationTypeRequest.builder()`.
    Clone method for this Builder.

  - ### id

    public ChangeRelationTypeRequest.Builder id(UUID id)
    Required. The ID of the Relation Type to be changed.
    Returns:
      `this`.

  - ### publicId

    public ChangeRelationTypeRequest.Builder publicId(String publicId)
    The new public id for the Relation Type.

    It must be unique within all Relation Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.
    Returns:
      `this`.

  - ### sourceTypeId

    @Deprecated public ChangeRelationTypeRequest.Builder sourceTypeId(UUID sourceTypeId)
    Deprecated.
    The new source type ID will be removed in the future.
    The ID of the new source type for the Relation Type.
    Returns:
      `this`.

  - ### role

    public ChangeRelationTypeRequest.Builder role(String role)
    The new name of the role that the source plays.
    Returns:
      `this`.

  - ### targetTypeId

    @Deprecated public ChangeRelationTypeRequest.Builder targetTypeId(UUID targetTypeId)
    Deprecated.
    The new target type ID will be removed in the future.
    The ID of the new target type for the Relation Type.
    Returns:
      `this`.

  - ### coRole

    public ChangeRelationTypeRequest.Builder coRole(String coRole)
    The new name of the role that the target plays.
    Returns:
      `this`.

  - ### description

    public ChangeRelationTypeRequest.Builder description(String description)
    The new description of the Relation Type.
    Returns:
      `this`.

  - ### build

    public ChangeRelationTypeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`